Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsMediaPlaylist.ServerControl

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist.ServerControl

- Enclosing class:
    HlsMediaPlaylist

      public static final class HlsMediaPlaylist.ServerControl
      extends Object

  Server control attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `canBlockReload` | Whether the server supports blocking playlist reload.
    `boolean` | `canSkipDateRanges` | Whether the playlist can produce delta updates that skip older #EXT-X-DATERANGE tags in addition to media segments.
    `long` | `holdBackUs` | The server-recommended live offset in microseconds, or `C.TIME_UNSET` if none defined.
    `long` | `partHoldBackUs` | The server-recommended live offset in microseconds in low-latency mode, or `C.TIME_UNSET` if none defined.
    `long` | `skipUntilUs` | The skip boundary for delta updates in microseconds, or `C.TIME_UNSET` if delta updates are not supported.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerControl​(long skipUntilUs, boolean canSkipDateRanges, long holdBackUs, long partHoldBackUs, boolean canBlockReload)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### skipUntilUs

          public final long skipUntilUs

      The skip boundary for delta updates in microseconds, or `C.TIME_UNSET` if delta updates are not supported.

    - #### canSkipDateRanges

          public final boolean canSkipDateRanges

      Whether the playlist can produce delta updates that skip older #EXT-X-DATERANGE tags in addition to media segments.

    - #### holdBackUs

          public final long holdBackUs

      The server-recommended live offset in microseconds, or `C.TIME_UNSET` if none defined.

    - #### partHoldBackUs

          public final long partHoldBackUs

      The server-recommended live offset in microseconds in low-latency mode, or `C.TIME_UNSET` if none defined.

    - #### canBlockReload

          public final boolean canBlockReload

      Whether the server supports blocking playlist reload.

  - ### Constructor Detail

    - #### ServerControl

          public ServerControl​(long skipUntilUs,
                               boolean canSkipDateRanges,
                               long holdBackUs,
                               long partHoldBackUs,
                               boolean canBlockReload)

      Creates a new instance.
      Parameters:
        `skipUntilUs` - See `skipUntilUs`.
        `canSkipDateRanges` - See `canSkipDateRanges`.
        `holdBackUs` - See `holdBackUs`.
        `partHoldBackUs` - See `partHoldBackUs`.
        `canBlockReload` - See `canBlockReload`.